SFTPGO-RESETPWD(1)

NAME
sftpgo-resetpwd - Reset the password for the specified administrator

SYNOPSIS
sftpgo resetpwd [flags]

DESCRIPTION
This command reads the data provider connection details from the specified configuration file and resets the password for the specified administrator. Two-factor authentication is also disabled. This command is not supported for the memory provider. For embedded providers like bolt and SQLite you should stop the running SFTPGo instance to avoid database corruption.

Please take a look at the usage below to customize the options.

OPTIONS
--admin=""
    Administrator username whose password to reset

-c, --config-dir="."
    Location of the config dir. This directory is used as the base for files with a relative path, e.g. the private keys for the SFTP server or the database file if you use a file-based data provider. The configuration file, if not explicitly set, is looked for in this dir. We support reading from JSON, TOML, YAML, HCL, envfile and Java properties config files. The default config file name is "sftpgo" and therefore "sftpgo.json", "sftpgo.yaml" and so on are searched. This flag can be set using SFTPGO_CONFIG_DIR env var too.

--config-file=""
    Path to SFTPGo configuration file. This flag explicitly defines the path, name and extension of the config file. If must be an absolute path or a path relative to the configuration directory. The specified file name must have a supported extension (JSON, YAML, TOML, HCL or Java properties). This flag can be set using SFTPGO_CONFIG_FILE env var too.

-h, --help[=false]
    help for resetpwd

SEE ALSO
sftpgo(1)